KDE 4.7 PyKDE API Reference

- KDE's Python API

# KSvgRenderer Class Reference

`from PyKDE4.kdeui import *`

Inherits: QSvgRenderer → QObject

## Detailed Description

Thin wrapper around QSvgRenderer with SVGZ support.

Deprecated:
  At least since Qt 4.6, QSvgRenderer has built-in SVGZ support, so you can use QSvgRenderer instead of KSvgRenderer in new code, and replace KSvgRenderer by QSvgRenderer in old code without any regressions.

## Methods
| __init__ (self, QObject parent=0)
| __init__ (self, QString filename, QObject parent=0)
| __init__ (self, QByteArray contents, QObject parent=0)
bool | load (self, QString filename)
bool | load (self, QByteArray contents)

## Method Documentation

__init__ | ( | self, |
|  | QObject | parent=0
| ) |  |  |

__init__ | ( | self, |
|  | QString | filename,
|  | QObject | parent=0
| ) |  |  |

__init__ | ( | self, |
|  | QByteArray | contents,
|  | QObject | parent=0
| ) |  |  |

bool load | ( | self, |
|  | QString | filename
| ) |  |  |

bool load | ( | self, |
|  | QByteArray | contents
| ) |  |  |